Support » Plugin: MailPoet - emails and newsletters in WordPress » Bug related to WooCommerce Blocks 7.2.0

  • Resolved ykurahara8

    (@ykurahara8)


    Hi!

    A modification to fix a bug would be required.
    I found the following line in the debug log file;

    [20-Apr-2022 03:13:30 UTC] Automattic\WooCommerce\Blocks\Domain\Services\ExtendRestApi is deprecated since version 7.2.0! Use Automattic\WooCommerce\StoreApi\Schemas\ExtendSchema instead.

    This seems to be a bug in the file: ./lib/PostEditorBlocks/WooCommerceBlocksIntegration.php

    $ find . -name \*.php | xargs grep -n ExtendRestApi
    ./lib/PostEditorBlocks/WooCommerceBlocksIntegration.php:8:use Automattic\WooCommerce\Blocks\Domain\Services\ExtendRestApi;
    ./lib/PostEditorBlocks/WooCommerceBlocksIntegration.php:98: $extend = Package::container()->get(ExtendRestApi::class);

    See also the following page;

    WooCommerce Blocks 7.2.0 Release Notes – Develop with WooCommerce
    https://developer.woocommerce.com/2022/03/15/woocommerce-blocks-7-2-0-release-notes/

    Best regards,

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Support Dani F. a11n

    (@danielinhou)

    Hi there @ykurahara8 👋🏽!

    Thank you for reaching out to MailPoet Support!

    Can you please reach back to us letting us know the WooCommerce, WooCommerce Blocks, and MailPoet versions that your site is using?

    Please keep us posted.

    Cheers!

    Thread Starter ykurahara8

    (@ykurahara8)

    Hi!

    The versions are;

    WooCommerce 6.4.1

    In WooCommerce Blocks 7.2.0 Release Notes;

    WooCommerce Blocks 7.2.0 will also be included in WooCommerce 6.4.

    MailPoet 3 (New) 3.87.2

    Due to the bug I mentioned, MailPoet plugin is still deactivated.

    Best regards.

    Plugin Support Elvira K

    (@treibalen)

    Hi there @ykurahara8,

    Thanks for getting back to us!

    I was able to replicate this behaviour on my test site.

    I’m now discussing it with our developers and I’ll let you know once I hear from them.

    Cheers!

    Plugin Support Elvira K

    (@treibalen)

    Hi there @ykurahara8,

    I checked with our developers and confirmed that this is a bug and they’ll work on fixing it.

    Please note that it doesn’t affect the functionality of the MailPoet and WooCommerce plugins since it’s a PHP warning, not an error.

    Please do let me know if you see further issues!

    Plugin Author MailPoet

    (@mailpoet)

    Hello @ykurahara8,
    thanks again for reaching out. With the latest version 3.89.0 those deprecation notices should disappear.

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.